using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MouseOverSheetCorner
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
        }

        private void GetSheetCornerValues(int x, int y, ref int row, ref int column)
        {
            try
            {
                {
                    int rowOffset;
                    int columnOffset;

                    // Use the RowHeader rectangle to calculate offsets to translate SheetCorner x and y values into 
                    // either RowHeader or ColumnHeader coordinates so that a Row and Column can be calculated. 
                    {
                        rowOffset = this.fpSpread1.GetRowHeaderRectangle(0).Width;
                        columnOffset = this.fpSpread1.GetRowHeaderRectangle(0).Y;
                    }
                    row = this.fpSpread1.GetRootWorkbook().GetColumnHeaderCellFromPixel(x + rowOffset, y).Row;
                    column = this.fpSpread1.GetRootWorkbook().GetRowHeaderCellFromPixel(x, columnOffset).Column;
                }
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        private void Form1_MouseDown(object sender, MouseEventArgs e)
        {
            textBox1.Clear();
        }

        private void fpSpread1_MouseMove(object sender, MouseEventArgs e)
        {
            int rowNumber = fpSpread1.ActiveSheet.ActiveRowIndex;
            int colNumber = fpSpread1.ActiveSheet.ActiveColumnIndex;

            GetSheetCornerValues(e.X, e.Y, ref rowNumber, ref colNumber);
            textBox1.Text = rowNumber + "," + colNumber;

            if (rowNumber == 0 && colNumber == 0)
                MessageBox.Show("Mouse over corner cell");
        }

    }
}